Simpler Navigation for Servers and Operating Systems - Please Update Your Bookmarks
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
If you have bookmarked forums or discussion boards in Servers and Operating Systems, we suggest you check and update them as needed.
cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle 8.1.7 on HPUX11

Subbu Krishna
Occasional Advisor

Oracle 8.1.7 on HPUX11

Hello,

We are running into a major problem installing
Oracle 8.1.7 (64-bit) on a N-class running HPUX11.0 (64 - bit).

Initially, the install was successful, but we
ran into a problem, described earlier in this
thread about "permission" denied.

h: /u01/app/oracle/product/8.1.7/bin/oracle: Execute permission denied.
sh: /u01/app/oracle/product/8.1.7/bin/oracle: Execute permission denied.

Oracle asked us to install PHSS_22478

We installed PHSS_22514 which supersedes PHSS_22478.

However, the problem continues to exist.

We then tried to re-install Oracle and are now
getting a message during installation

/usr/ccs/bin/ld: /oracle/product/8.1.7/network/lib64/s0nsgl.o: Mismatched ABI. 64-bit PA object file found in 32-bit link.


Any thoughts ?.


TIA - Subbu
5 REPLIES
Mark Mitchell
Trusted Contributor

Re: Oracle 8.1.7 on HPUX11

Don't know if it will help, but I have seen problems starting services because Oracle likes to be installed with an Oracle user, where this install was done as root.
James A. Donovan
Honored Contributor

Re: Oracle 8.1.7 on HPUX11

 
Remember, wherever you go, there you are...
Scott Matthesen
Occasional Advisor

Re: Oracle 8.1.7 on HPUX11

I believe I know what part of your problem may be. Oracle documentation gives you certain kernel parameters to set. However, they do neglect to tell you that if you do not adjust the MAXDSIZE parameter, Oracle cannot link its executables. The patches mentioned are correct, but without this parameter change, no go! I changed mine from its original setting to 1073741824.

Hope this helps!
Scott
Andreas D. Skjervold
Honored Contributor

Re: Oracle 8.1.7 on HPUX11

Hi
Just want to join in on Scott's suggestion; I've had the same problem, found that maxdsiz must be at least 256M to get the linking done properly.

Andreas
Only by ignoring what everyone think is important, can you be aware of what everyone ignores!
Carlos Fernandez Riera
Honored Contributor

Re: Oracle 8.1.7 on HPUX11